group "BasketIdentifier.model"

Namespace: | http://www.fpml.org/FpML-5/confirmation
Content: | 3 elements
Defined: | globally in fpml-asset-5-3.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 2 locations

Content Model Diagram

Complex Content Model
(basketName, basketId*) | basketId+

Content Model Elements (3):

  basketId (defined in BasketIdentifier.model group), basketId (defined in BasketIdentifier.model group), | basketName

Known Usage Locations

- In definitions of global complexTypes (2):
  Basket, BasketReferenceInformation

Annotation
A group that specifies a name and an identifier for a given basket.
XML Source (w/o annotations (4); see within schema source)

<xsd:group name="BasketIdentifier.model"> <xsd:choice> <xsd:sequence> <xsd:element name="basketName" type="BasketName"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="basketId" type="BasketId"/> </xsd:sequence> <xsd:element maxOccurs="unbounded" name="basketId" type="BasketId"/> </xsd:choice> </xsd:group>

Content Element Detail (all declarations; defined within this component only; 3/3)
basketId

  Type: | BasketId, simple content

  A CDS basket identifier
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="basketId" type="BasketId"/>

basketId

  Type: | BasketId, simple content

  A CDS basket identifier
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" name="basketId" type="BasketId"/>

basketName

  Type: | BasketName, simple content

  The name of the basket expressed as a free format string. FpML does not define usage rules for this element.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="basketName" type="BasketName"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.